Subject: 23.1.50; Emacs.app cannot enter directory "_geprüft"

From: Peter Dyballa <[email-masked]>
Date: Mon, 29 Jun 2009 11:47:28 +0200

Hello!

I have a directory "_geprüft" (with the text cursor on the ü C-u C-x  
= tells me in Emacs.app:

	        character: ü (252, #o374, #xfc)
	preferred charset: iso-8859-1 (Latin-1 (ISO/IEC 8859-1))
	       code point: 0xFC
	           syntax: w 	which means: word
	         category: .:Base, c:Chinese, j:Japanese, l:Latin
	      buffer code: #xC3 #xBC
	        file code: #xC3 #xBC (encoded by coding system utf-8-unix)
	          display: by this font (glyph code)
	    nil:-apple-Bitstream_Vera_Sans_Mono-medium-normal-normal-*-11-*- 
*-*-m-0-iso10646-1 (#x81)
	
	Character code properties: customize what to show
	  name: LATIN SMALL LETTER U WITH DIAERESIS
	  old-name: LATIN SMALL LETTER U DIAERESIS
	  general-category: Ll (Letter, Lowercase)
	  decomposition: (117 776) ('u' '')
	
	There are text properties here:
	  dired-filename       t
	  face                 dired-directory
	  fontified            t
	  help-echo            "mouse-2: visit this file in other window"
	  mouse-face           highlight

which looks OK but does not resemble much what the X client sees:

	        character: u (117, #o165, #x75)
	preferred charset: ascii (ASCII (ISO646 IRV))
	       code point: 0x75
	           syntax: w 	which means: word
	         category: .:Base, a:ASCII, l:Latin, r:Roman
	      buffer code: #x75
	        file code: #x75 (encoded by coding system utf-8-unix)
	          display: composed to form "ü" (see below)
	
	Composed with the following character(s) "" using this font:
	  x:-mutt-clearlyu-medium-r-normal--17-120-100-100-p-123-iso10646-1
	by these glyphs:
	  [0 1 117 117 8 1 8 7 0 nil]
	  [0 1 776 776 0 0 5 14 -12 [-6 3 0]]
	
	Character code properties: customize what to show
	  name: LATIN SMALL LETTER U
	  general-category: Ll (Letter, Lowercase)
	
	There are text properties here:
	  dired-filename       t
	  face                 dired-directory
	  fontified            t
	  help-echo            "mouse-2: visit this file in other window"
	  mouse-face           highlight).

When I try to follow into this directory in dired-mode or when I try  
to open /path/to/_geprüft Emacs.app tells me

	dired-get-file-for-visit: File no longer exists; type `g' to update  
dired buffer

or

	insert-directory: Reading directory: no such file or directory, / 
path/to/_geprüft

Both variants were launched with -Q. Emacs.app needed an extra '-- 
font "Bitstream Vera Sans Mono"' because it was telling me

	Font `LucidaSans-Typewriter' is not defined

and then immediately quitting. (There seems to be a problem with  
Lucida Sans Typewriter fonts in X11, server side and user side, and  
also in Mac OS X 10.4.11.)

In GNU Emacs 23.1.50.2 (powerpc-apple-darwin8.11.0, NS apple- 
appkit-824.48)
  of 2009-06-24 on Latsche.local
Windowing system distributor `Apple', version 10.3.824
configured using `configure  '--without-sound' '--without-pop' '-- 
with-dbus' '--with-libotf' '--with-ns' '--disable-ns-self-contained'  
'--enable-locallisppath=/Library/Application Support/Emacs/ 
calendar23:/Library/Application Support/Emacs' 'PKG_CONFIG_PATH=/sw/ 
lib/freetype219/lib/pkgconfig:/sw/lib/pango-ft219/lib/pkgconfig:/sw/ 
lib/fontconfig2/lib/pkgconfig:/sw/lib/qt4-x11/lib/pkgconfig:/sw/lib/ 
xft2/lib/pkgconfig:/usr/X11R6/lib/pkgconfig:/sw/lib/pkgconfig:/sw/ 
share/pkgconfig:/usr/lib/pkgconfig:/sw/lib/system-openssl/lib/ 
pkgconfig:/sw/lib/fontforge/pkgconfig:/sw/lib/gcc4.2/lib/pkgconfig:/ 
usr/local/clamXav/lib/pkgconfig' 'CPPFLAGS=-no-cpp-precomp' 'CFLAGS=- 
Wno-pointer-sign -H -pipe -fPIC -mcpu=7450 -mtune=7450 -fast -mpim- 
altivec -ftree-vectorize -foptimize-register-move -freorder-blocks - 
freorder-blocks-and-partition -fthread-jumps -fpeephole -fno- 
crossjumping' 'LDFLAGS=-dead_strip -multiply_defined suppress''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: de_DE.UTF-8
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: de_DE.UTF-8
   value of $XMODIFIERS: nil
   locale-coding-system: utf-8-unix
   default-enable-multibyte-characters: t

Major mode: Dired by name

Minor modes in effect:
   tooltip-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

--
Greetings

   Pete

You can learn many things from children.  How much patience you have,  
for instance.
				 Franklin P. Jones